Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category: UI
Created: 2011-05-10 Assigned To: Sebastian Kurfuerst
Updated: 2011-05-25 Due date:
Subject: (Selection Mode) Implement Add Content and Delete Content Element
Description

Associated revisions
Revision b98dda6c - 2011-05-24 20:11 - Rens Admiraal

[+FEATURE] (User Interface): Delete and Add Node in Selection Mode

We now re-use the Breadcrumb-Menu in the Frontend frame, when
being in selection mode and hovering over an element.
Support for deleting content is implemented, support for adding
new content is still in the works.

Furthermore, the BreadcrumbMenu is a bit refactored to have less
dependencies to the Registry or other classes.

Plugins are now wrapped in a Container Div, this is needed to drag/drop
them in the Frontend.

Resolves: #26713
Change-Id: I368622ed2350c1c8c198ec1834261a8b4049dc89

History
#1 - 2011-05-10 08:37 - Sebastian Kurfuerst
- % Done changed from 0 to 30

#2 - 2011-05-10 08:38 - Sebastian Kurfuerst
- Category set to UI

#3 - 2011-05-10 10:01 - Mr. Hudson

Patch set 2 of change I368622ed2350c1c8c198ec1834261a8b4049dc89 has been pushed to the review server.
It is available at http://review.typo3.org/1943

#4 - 2011-05-10 10:02 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
- % Done changed from 30 to 90

#5 - 2011-05-18 13:03 - Mr. Hudson

Patch set 3 of change I368622ed2350c1c8c198ec1834261a8b4049dc89 has been pushed to the review server.
It is available at http://review.typo3.org/1943
#6 - 2011-05-24 20:12 - Mr. Hudson

Patch set 4 of change I368622ed2350c1c8c198ec1834261a8b4049dc89 has been pushed to the review server.
It is available at http://review.typo3.org/1943

#7 - 2011-05-25 09:05 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:b98dda6cc79b27a92b50c29cc19733c1d45ab9b4.
